{
    "type": "record",
    "name": "sennder.avro.oras.OperatorsModifiedRecordsValue",
    "fields": [
        {
            "doc": "Event meta data",
            "name": "meta",
            "type": {
                "type": "record",
                "doc": "Generic meta data for an event",
                "name": "sennder.avro.oras.EventMeta",
                "fields": [
                    {
                        "doc": "Unique identifier for each event (used to cope with duplications)",
                        "name": "event_id",
                        "type": "string"
                    },
                    {
                        "doc": "Time of event creation :warning: not to be mixed with when the underlying data changed in the DB.",
                        "name": "created",
                        "type": {
                            "logicalType": "timestamp-millis",
                            "type": "long"
                        }
                    },
                    {
                        "doc": "SaaS Tenant / User Company",
                        "name": "tenant",
                        "type": "string"
                    },
                    {
                        "doc": "Event producer service name",
                        "name": "source",
                        "type": "string"
                    },
                    {
                        "name": "tracing",
                        "type": {
                            "type": "record",
                            "doc": "Object to allow distributed tracing across services like Datadog",
                            "name": "sennder.avro.oras.EventTracing",
                            "fields": [
                                {
                                    "doc": "Identifier to allow distributed tracing across services.",
                                    "name": "trace_id",
                                    "type": "string"
                                }
                            ]
                        }
                    }
                ]
            }
        },
        {
            "name": "data",
            "type": {
                "type": "record",
                "name": "sennder.avro.oras.payload",
                "fields": [
                    {
                        "name": "modified",
                        "type": {
                            "logicalType": "timestamp-millis",
                            "type": "long"
                        }
                    },
                    {
                        "name": "operators",
                        "type": {
                            "type": "array",
                            "items": {
                                "type": "record",
                                "name": "sennder.avro.oras.operator",
                                "fields": [
                                    {
                                        "doc": "usermanagement uuid of the operator assigned to a role.",
                                        "name": "operator_id",
                                        "type": {
                                            "logicalType": "uuid",
                                            "type": "string"
                                        }
                                    },
                                    {
                                        "doc": "Role being assigned to the operator.",
                                        "name": "role",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Time the assignement occured.",
                                        "name": "assigned_at",
                                        "type": {
                                            "logicalType": "timestamp-millis",
                                            "type": "long"
                                        }
                                    },
                                    {
                                        "doc": "usermanagement uuid of the person performing the assignment.",
                                        "name": "assigned_by",
                                        "type": {
                                            "logicalType": "uuid",
                                            "type": "string"
                                        }
                                    }
                                ]
                            }
                        }
                    }
                ]
            }
        }
    ]
}